Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.set
Class CReconstructionTupleSet

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CMengeSet<CReconstructionTuple>
              mycompiler.mytypereconstruction.set.CReconstructionTupleSet

    public class CReconstructionTupleSet

extends CMengeSet<CReconstructionTuple>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CReconstructionTupleSet()`

Method Summary
`CReconstructionTupleSet` | `deepCopy()` Author: J�rg B�uerle
`CReconstructionTupleSet` | `shallowCopy()`

Methods inherited from class mycompiler.mytypereconstruction.set.CMengeSet
`addElement, contains, equals, getCardinality, getIterator, getMenge, removeElement, setMenge, subtract, unite`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CReconstructionTupleSet

    public CReconstructionTupleSet()

Method Detail

### shallowCopy

    public CReconstructionTupleSet shallowCopy()

  Specified by:
    `shallowCopy` in class `CSet<CReconstructionTuple>`

### deepCopy

    public CReconstructionTupleSet deepCopy()

  Author: J�rg B�uerle

  Specified by:
    `deepCopy` in class `CSet<CReconstructionTuple>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD